Subject: Re: [PATCH] powermac: support G5 CPU hotplug

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 03 May 2007 10:08:56 +1000

On Thu, 2007-05-03 at 10:01 +1000, Paul Mackerras wrote:
> Benjamin Herrenschmidt writes:
> 
> > On Wed, 2007-05-02 at 16:33 +0200, Johannes Berg wrote:
> > > On Wed, 2007-05-02 at 20:55 +1000, Paul Mackerras wrote:
> > > 
> > > > Ultimately we want to put the disabled cpus in sleep mode, but that
> > > > will require a suitable cache flush routine.
> > > 
> > > I don't have any docs for the particular processors the G5s have, do
> > > they have a sleep mode?
> > 
> > They have, but the cache flush is not trivial to do (and might imply
> > access to non documented bits). So let's put that on the to-do list and
> > stick to NAP for now while I dig something.
> 
> Hmmm, I went looking in the 970FX manual for sleep mode and didn't
> find it, only nap and doze...

Ah... hrm... so it's possible that Darwin goes NAP but flushes the cache
before suspend-to-ram bcs the CPU is going down... let me check.

Nah, darwin uses HID0:sleep

Ben.